API referenceEndpointsAccess
List Grants
List grants visible in an account.
List grants visible in an account.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
accountId*string
Account UUID that defines the tenant and authorization scope.
Format
uuidprincipalId?string
Human, agent, FDE, or service principal UUID.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/grants?accountId=00000000-0000-4000-8000-000000000001&principalId=00000000-0000-4000-8000-000000000004"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "human", "name": "string", "email": "user@example.com", "authenticationStatus": "active", "grants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "principalId": "0a52818d-1e0c-4e64-848e-4d04f9e914e5", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "permission": "query", "datasetIds": [ "ef1d0ac6-a99b-4710-9052-39f6f9fb8ca7" ], "expiresAt": "2019-08-24T14:15:22Z", "maxRows": 1, "maxBytes": 1, "maxQueriesPerMinute": 1, "createdAt": "2019-08-24T14:15:22Z", "revokedAt": "2019-08-24T14:15:22Z" } ], "lastUsedAt": "2019-08-24T14:15:22Z", "recentQueryCount": 0, "issue": { "code": "string", "message": "string", "action": "string" } } ], "correlationId": "string"}